> ## Documentation Index
> Fetch the complete documentation index at: https://foreverbetter.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Find providers across modalities (genetics, biomarkers/labs, wearables)

> Find where to get health data across modalities in one call: pass modality=genetics,biomarkers,wearables to get WGS/genetic-testing providers, nearby lab draw sites (with a location), and supported wearable integrations. Results are grouped by modality.



## OpenAPI

````yaml https://api.foreverbetter.xyz/openapi.json get /providers
openapi: 3.1.0
info:
  title: ForeverBetter API
  version: 0.4.8
  description: >-
    ForeverBetter API and MCP-compatible service for genetics, biomarkers,
    wearables, lab locator handoffs, and dashboard specs.
servers:
  - url: https://api.foreverbetter.xyz
security:
  - bearerAuth: []
paths:
  /providers:
    get:
      summary: Find providers across modalities (genetics, biomarkers/labs, wearables)
      description: >-
        Find where to get health data across modalities in one call: pass
        modality=genetics,biomarkers,wearables to get WGS/genetic-testing
        providers, nearby lab draw sites (with a location), and supported
        wearable integrations. Results are grouped by modality.
      parameters:
        - name: modality
          in: query
          required: false
          schema:
            type: string
          description: >-
            Comma-separated modalities to search: genetics, biomarkers,
            wearables. Defaults to all.
        - name: type
          in: query
          required: false
          schema:
            type: string
          description: 'Genetics filter: wgs, snp_array, or exome.'
        - name: region
          in: query
          required: false
          schema:
            type: string
          description: Genetics filter, e.g. Europe or North America.
        - name: postal_code
          in: query
          required: false
          schema:
            type: string
          description: 'Lab locator: search draw sites near this postal code.'
        - name: city
          in: query
          required: false
          schema:
            type: string
          description: 'Lab locator: search draw sites near this city.'
        - name: country
          in: query
          required: false
          schema:
            type: string
          description: 'Lab locator: country code for the search.'
        - name: lat
          in: query
          required: false
          schema:
            type: string
          description: 'Lab locator: latitude.'
        - name: lon
          in: query
          required: false
          schema:
            type: string
          description: 'Lab locator: longitude.'
        - name: radius_miles
          in: query
          required: false
          schema:
            type: string
          description: 'Lab locator: search radius (default 25).'
      responses:
        '200':
          description: OK
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````